import axios from 'axios'

// https://github.com/alvar0hurtad0/drupal-vuejs-todo/blob/master/frontend/src/api/axiosInterceptor.js

// console.log('drupalSettings', drupalSettings)
console.log(window.location)

const MGQ = axios.create({
  baseURL: `${window.location.origin}/api/gql`,
  withCredentials: true,
  headers: {
    Accept: 'application/json',
    // Accept: 'application/vnd.api+json'
    // Authorization: 'Basic {token}',
    'Content-Type': 'application/json'
  }
})

MGQ.interceptors.response.use(
  response => {
    return Promise.resolve(response)
  },
  error => {
    const { status } = error.response
    console.warn('error in graphql-axios', status)
    // if (status === 403) {
    //   window.location = '/'
    // }
    return Promise.reject(error)
  }
)

export default MGQ
